Subject: RE: bug#7783: 24.0.50; (elisp) autoloading nodes, autoload cookie fordefine-globalized-minor-mode,...

From: "Drew Adams" <[email-masked]>
Date: Wed, 5 Jan 2011 10:31:19 -0800

> > > What about `define-globalized-minor-mode'?  If that is not handled
> > > similarly, then that is a code bug - it should be.  If it 
> > > is handled similarly by a cookie then it should be included in
> > > the doc list.  Users should not need to consult the source code
> > > to try to determine what an autoload cookie before
> > > `define-globalized-minor-mode' will do.
> > 
> > Likewise `define-widget' and any others.  In sum the list 
> > in the manual should be complete, so users need not guess what
> > gets handled by an autoload cookie and what does not.
> 
> The text sounds as if the list is exhaustive, so the only issue is
> whether it is correct or not.

Sounds as if...maybe...sort of...depending on the reader.  I agree that that is
suggested.  But it would be clearer if we said explicitly that this is a
complete list.

But yes, my main concern is that the list be up-to-date (complete).